import o from "js-cookie";
import { getCookieOptions as t } from "@arcblock/ux/lib/Util";
import { debugTmp as s } from "../../utils.js";
class a {
  constructor(e, r) {
    this.storageKey = e, this.options = r || {};
  }
  setToken(e) {
    return o.set(this.storageKey, e, {
      ...t(this.options)
    });
  }
  getToken() {
    return o.get(this.storageKey);
  }
  removeToken() {
    return s("[CookieStorageEngine] removeToken"), o.remove(this.storageKey, t(this.options));
  }
}
export {
  a as default
};
